<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaContactosJSONResponse StructType
 * @subpackage Structs
 */
class ListaContactosJSONResponse extends AbstractStructBase
{
    /**
     * The ListaContactosJSONResult
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ListaContactosJSONResult;
    /**
     * The mensagem
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $mensagem;
    /**
     * The sucesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $sucesso;
    /**
     * Constructor method for ListaContactosJSONResponse
     * @uses ListaContactosJSONResponse::setListaContactosJSONResult()
     * @uses ListaContactosJSONResponse::setMensagem()
     * @uses ListaContactosJSONResponse::setSucesso()
     * @param string $listaContactosJSONResult
     * @param string $mensagem
     * @param bool $sucesso
     */
    public function __construct($listaContactosJSONResult = null, $mensagem = null, $sucesso = null)
    {
        $this
            ->setListaContactosJSONResult($listaContactosJSONResult)
            ->setMensagem($mensagem)
            ->setSucesso($sucesso);
    }
    /**
     * Get ListaContactosJSONResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getListaContactosJSONResult()
    {
        return isset($this->ListaContactosJSONResult) ? $this->ListaContactosJSONResult : null;
    }
    /**
     * Set ListaContactosJSONResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $listaContactosJSONResult
     * @return \StructType\ListaContactosJSONResponse
     */
    public function setListaContactosJSONResult($listaContactosJSONResult = null)
    {
        // validation for constraint: string
        if (!is_null($listaContactosJSONResult) && !is_string($listaContactosJSONResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($listaContactosJSONResult)), __LINE__);
        }
        if (is_null($listaContactosJSONResult) || (is_array($listaContactosJSONResult) && empty($listaContactosJSONResult))) {
            unset($this->ListaContactosJSONResult);
        } else {
            $this->ListaContactosJSONResult = $listaContactosJSONResult;
        }
        return $this;
    }
    /**
     * Get mensagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMensagem()
    {
        return isset($this->mensagem) ? $this->mensagem : null;
    }
    /**
     * Set mensagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mensagem
     * @return \StructType\ListaContactosJSONResponse
     */
    public function setMensagem($mensagem = null)
    {
        // validation for constraint: string
        if (!is_null($mensagem) && !is_string($mensagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mensagem)), __LINE__);
        }
        if (is_null($mensagem) || (is_array($mensagem) && empty($mensagem))) {
            unset($this->mensagem);
        } else {
            $this->mensagem = $mensagem;
        }
        return $this;
    }
    /**
     * Get sucesso value
     * @return bool|null
     */
    public function getSucesso()
    {
        return $this->sucesso;
    }
    /**
     * Set sucesso value
     * @param bool $sucesso
     * @return \StructType\ListaContactosJSONResponse
     */
    public function setSucesso($sucesso = null)
    {
        // validation for constraint: boolean
        if (!is_null($sucesso) && !is_bool($sucesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sucesso)), __LINE__);
        }
        $this->sucesso = $sucesso;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ListaContactosJSONResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
